import request from "@/utils/httpRequest";
import { BUSINESS_PATH as prefix } from "../AppPath";

export default class BidService {
	findPageList(params) {
		return request({
			url: prefix + "/bid/list",
			method: "get",
			params: params,
		});
	}

	save(param) {
		return request({
			url: prefix + "/bid/save",
			method: "post",
			data: param,
		});
	}

	findById(id) {
		return request({
			url: prefix + "/bid/findById",
			method: "get",
			params: { id: id},
		});
	}
	remove(id) {
		return request({
			url: prefix + "/bid/remove",
			method: "get",
			params: { id: id },
		});
	}

	bidList(params) {
		return request({
			url: prefix + "/bid/bidList",
			method: "get",
			params: params,
		});
	}

}
